nz-modal([nzVisible]="visible", nzTitle="Workflow import", [nzFooter]="modalFooter", (nzOnCancel)="handleCancel()")
  nz-spin([nzSpinning]="loading", nzTip="Importing workflow...", nzDelay="200")
    nz-alert.mb2(nzType="info", nzMessage="To import a workflow create a zip file containing the workflow.yaml file and its static inputs following the Ryax Workflow File Definition", nzShowIcon)
    p See :
      a(href="https://docs.ryax.tech/reference/workflows.html", target="_blank")  Ryax Workflow File Definition
    ryax-upload-button.flex.justify-center(label="Select or drag&drop a zip file to start the import", icon="plus", listType="picture-card", (upload)="onImport($event)")
  ng-template(#modalFooter)
    button(nz-button, nzType="default", [disabled]="isLoading", (click)="handleCancel()") Close
